Class Index | File Index

## Classes

- _global_
- Boolean
- Date
- Function
- Object
- orion.breadcrumbs.BreadCrumbs
- orion.cm.Configuration
- orion.cm.ConfigurationAdmin
- orion.cm.ConfigurationProperties
- orion.cm.ManagedService
- orion.commands.Command
- orion.commands.CommandKeyBinding
- orion.commands.CommandParameter
- orion.commands.CommandService
- orion.commands.ParametersDescription
- orion.commands.URLBinding
- orion.commonHTMLFragments
- orion.compare.DiffProvider
- orion.compare.rulers.CompareRuler
- orion.compare.rulers.LineNumberCompareRuler
- orion.compareUtils
- orion.contentAssist.CssContentAssistProvider
- orion.contentAssist.HTMLContentAssistProvider
- orion.core.ContentType
- orion.core.ContentTypeService
- orion.dialogs.DialogService
- orion.DiffTreeNavigator.DiffTreeNavigator
- orion.DiffTreeNavigator.inlineDiffBlockFeeder
- orion.DiffTreeNavigator.TwoWayDiffBlockFeeder
- orion.edit.Dispatcher
- orion.editor.ContentAssist
- orion.editor.ContentAssistMode
- orion.editor.ContentAssistProvider
- orion.editor.ContentAssistProvider.Context
- orion.editor.ContentAssistWidget
- orion.editor.Editor
- orion.editor.JSTemplateContentAssistProvider
- orion.editor.regex
- orion.editor.StyleReadyEvent
- orion.editor.StyleReadyEvent#LineStyle
- orion.editor.TextMateStyler
- orion.EventTarget
- orion.explorer.Explorer
- orion.explorer.ExplorerFlatModel
- orion.explorer.ExplorerModel
- orion.explorer.SelectionRenderer
- orion.ExplorerNavHandler.ExplorerNavDict
- orion.explorers.explorer-table.FileExplorer
- orion.explorers.ExplorerNavHandler.ExplorerNavHandler
- orion.extensionCommands
- orion.favorites.FavoritesService
- orion.fileClient.FileClient
- orion.fileCommands
- orion.fileUtils
- orion.git.GitCommitExplorer
- orion.git.GitLogExplorer
- orion.git.GitRepositoryExplorer
- orion.git.GitReviewRequestExplorer
- orion.git.GitService
- orion.git.GitStatusExplorer
- orion.git.widgets.OpenCommitDialog
- orion.globalCommands
- orion.highlight.SyntaxHighlighter
- orion.links.TextLinkService
- orion.log.LogService
- orion.metatype.AttributeDefinition
- orion.metatype.MetaTypeRegistry
- orion.metatype.ObjectClassDefinition
- orion.mirror.CodeMirrorStyler
- orion.mirror.Mirror
- orion.mirror.MirrorLineStyle
- orion.mirror.ModeApplier
- orion.navoutliner.NavigationOutliner
- orion.outliner.Outliner
- orion.outliner.OutlineService
- orion.parameterCollectors.CommandParameterCollector
- orion.pluginregistry.Plugin
- orion.pluginregistry.PluginRegistry
- orion.preferences.Preferences
- orion.preferences.PreferencesService
- orion.problems.ProblemService
- orion.profile.usersClient.UsersClient
- orion.progress.ProgressService
- orion.searchClient.Searcher
- orion.searches.SavedSearches
- orion.Searches.SearchList
- orion.searchResults.SearchResultsGenerator
- orion.searchUtils
- orion.selection.Selection
- orion.serviceregistry.ServiceReference
- orion.serviceregistry.ServiceRegistration
- orion.serviceregistry.ServiceRegistry
- orion.ServiceTracker
- orion.settings.Setting
- orion.settings.SettingsRegistry
- orion.shell.Command
- orion.shell.Parameter
- orion.shell.ParameterType
- orion.shell.Shell
- orion.sites.SiteClient
- orion.sites.SiteConfiguration
- orion.sites.SiteService
- orion.sites.ViewOnSiteTree
- orion.status.StatusReportingService
- orion.tasks.TaskList
- orion.textview.ActionDescription
- orion.textview.Annotation
- orion.textview.AnnotationIterator
- orion.textview.AnnotationModel
- orion.textview.AnnotationRuler
- orion.textview.AnnotationStyler
- orion.textview.AnnotationType
- orion.textview.AnnotationTypeList
- orion.textview.BlurEvent
- orion.textview.ContextMenuEvent
- orion.textview.DestroyEvent
- orion.textview.EventTarget
- orion.textview.FindIterator
- orion.textview.FindOptions
- orion.textview.FocusEvent
- orion.textview.FoldingAnnotation
- orion.textview.KeyBinding
- orion.textview.LineNumberRuler
- orion.textview.LineStyleEvent
- orion.textview.ModelChangedEvent
- orion.textview.ModelChangingEvent
- orion.textview.ModifyEvent
- orion.textview.OverviewRuler
- orion.textview.Projection
- orion.textview.ProjectionTextModel
- orion.textview.Ruler
- orion.textview.ScrollEvent
- orion.textview.Selection
- orion.textview.SelectionEvent
- orion.textview.Style
- orion.textview.StyleRange
- orion.textview.TextModel
- orion.textview.TextView
- orion.textview.TextViewOptions
- orion.textview.UndoStack
- orion.textview.VerifyEvent
- orion.TreeModelIterator.TreeModelIterator
- orion.treetable.TableTree
- orion.uiUtils
- orion.util
- orion.widgets.OpenResourceDialog
- orion.widgets.Section
- orion.widgets.SiteEditor
- orion.xhr
- orion.xhr.Result
- String

# Class orion.TreeModelIterator.TreeModelIterator

A tree model based iterator component.
Defined in: </shared/eclipse/e4/orion/I201210191304/plugins/org.eclipse.orion.client.core/web/orion/treeModelIterator.js>.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| orion.TreeModelIterator.TreeModelIterator(firstLevelChildren, options) Creates a new tree iterator.

Method Summary
Method Attributes | Method Name and Description
--- | ---
| collapse(collapsedModel) When the parent model containing the cursor is collapsed, the cursor has to be surfaced to the parent
| cursor() Get current selected model by the iteration
| cursorMoved() Convenient method to see if last iterate action moved the cursor
| iterate(forward, forceExpand) scan a selection range
| iterateOnTop(forward, roundTrip) Iterate from the current cursor only on the top level children
| prevCursor() Get previously selected model by the iteration
| reset() Reset cursor and previous cursor
| scan(from, to) Iterate from the current cursor
| setCursor(the) Set the cursor to the given model
| setTree(the) Set the the first level children
| topLevel(modelItem)

Class Detail
orion.TreeModelIterator.TreeModelIterator(firstLevelChildren, options)
Creates a new tree iterator.

Parameters:
{list} firstLevelChildren
  The first level children of the tree root, each item has children and parent property recursively.
{Object} options
  The options object which provides iterate patterns and all call back functions when iteration happens.

Method Detail
collapse(collapsedModel)
When the parent model containing the cursor is collapsed, the cursor has to be surfaced to the parent

Parameters:
collapsedModel

cursor()
Get current selected model by the iteration

cursorMoved()
Convenient method to see if last iterate action moved the cursor

iterate(forward, forceExpand)
scan a selection range

Parameters:
{boolean} forward
  the iteration direction. If true then iterate to next, otherwise previous.
{boolean} forceExpand
  optional. the flag for the current cursor to dive into its children. If the cursor has no children yet or its children are not expanded, this method will call forceExpandFunc. If there is no forceExpandFunc defined it will not expand.

iterateOnTop(forward, roundTrip)
Iterate from the current cursor only on the top level children

Parameters:
{boolean} forward
  the iteration direction. If true then iterate to next, otherwise previous.
{boolean} roundTrip
  the round trip flag. If true then iterate to the beginning at bottom or end at beginning.

prevCursor()
Get previously selected model by the iteration

reset()
Reset cursor and previous cursor

{Array} scan(from, to)
Iterate from the current cursor

Parameters:
{object} from
  the model object that the selection range starts from. Will be included in the return array.
{object} to
  the model object that the selection range ends at. Will be included in the return array.

Returns:
  {Array} The selection of models in the array.

setCursor(the)
Set the cursor to the given model

Parameters:
{Object} the
  given model

setTree(the)
Set the the first level children

Parameters:
{list} the
  first level children

topLevel(modelItem)

Parameters:
modelItem

Documentation generated by JsDoc Toolkit 2.4.0 on Fri Oct 19 2012 13:08:15 GMT-0400 (EDT)